Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ldi.server
Interface Query

public interface Query
extends javax.ejb.EJBObject

This is the remote interface of the QueryBean.

Method Summary
`QueryResult` | `execute(java.lang.String queryString)` Executes an ad hoc query.
`QueryResult` | `execute(java.lang.String queryString, QueryParameters queryParameters)` Executes a parameterized ad hoc query.
`QueryResult` | `execute(java.lang.String queryString, QueryParameters queryParameters, QueryAttributes queryAttributes)` Executes a parameterized ad hoc query allowing to specify query attributes
`QueryResult` | `executeStored(java.lang.String queryName)` Executes a stored query.
`QueryResult` | `executeStored(java.lang.String queryName, QueryParameters queryParameters)` Executes a parameterized stored query.
`QueryResult` | `executeStored(java.lang.String queryName, QueryParameters queryParameters, QueryAttributes queryAttributes)` Executes a parameterized stored query allowing to specify query attributes.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### execute

    public QueryResult execute(java.lang.String queryString)
                        throws java.rmi.RemoteException

  Executes an ad hoc query.

  Parameters:
    `queryString` - The string representation of the query.
  Returns:
    The result of the query execution.
  Throws:
    java.rmi.RemoteException - if the execution fails

### executeStored

    public QueryResult executeStored(java.lang.String queryName)
                              throws java.rmi.RemoteException

  Executes a stored query.

  Parameters:
    `queryName` - The name of the stored query.
  Returns:
    The result of the query execution.
  Throws:
    java.rmi.RemoteException - if the execution fails

### execute

    public QueryResult execute(java.lang.String queryString,
                               QueryParameters queryParameters)
                        throws java.rmi.RemoteException

  Executes a parameterized ad hoc query.

  Parameters:
    `queryString` - The string representation of the query.
    `queryParameters` - The query parameters.
  Returns:
    The result of the query execution.
  Throws:
    java.rmi.RemoteException - if the execution fails

### executeStored

    public QueryResult executeStored(java.lang.String queryName,
                                     QueryParameters queryParameters)
                              throws java.rmi.RemoteException

  Executes a parameterized stored query.

  Parameters:
    `queryName` - The name of the stored query.
    `queryParameters` - The query parameters.
  Returns:
    The result of the query execution.
  Throws:
    java.rmi.RemoteException - if the execution fails

### execute

    public QueryResult execute(java.lang.String queryString,
                               QueryParameters queryParameters,
                               QueryAttributes queryAttributes)
                        throws java.rmi.RemoteException

  Executes a parameterized ad hoc query allowing to specify query attributes

  Parameters:
    `queryString` - The string representation of the query.
    `queryParameters` - The query parameters.
    `queryAttributes` - The query attributes.
  Returns:
    The result of the query execution.
  Throws:
    java.rmi.RemoteException - if the execution fails

### executeStored

    public QueryResult executeStored(java.lang.String queryName,
                                     QueryParameters queryParameters,
                                     QueryAttributes queryAttributes)
                              throws java.rmi.RemoteException

  Executes a parameterized stored query allowing to specify query attributes.

  Parameters:
    `queryName` - The name of the stored query.
    `queryParameters` - The query parameters.
    `queryAttributes` - The query attributes.
  Returns:
    The result of the query execution.
  Throws:
    java.rmi.RemoteException - if the execution fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation is available at
http://download.oracle.com/docs/cd/E13190_01/liquiddata/docs10/index.html